package com.fastbee.ggroup.service;




import com.fastbee.ggroup.domain.GGroups;
import com.fastbee.ggroup.domain.vo.GGroupSiteVo;

import java.util.List;

/**
 * 组Service接口
 * 
 * @author kerwincui
 * &#064;date  2024-09-27
 */
public interface IGGroupsService 
{
    /**
     * 根据id查询组详情
     */
    GGroups selectGGroupsById(Long id);

    /**
     * 查询组树状列表(不带叶子节点)
     */
    List<GGroups> selectGGroupsList(GGroups gGroups);

    /**
     * 查询组下面的站点列表
     */
    List<GGroupSiteVo> selectGGroupsListSites(GGroups gGroups);

    /**
     * 新增组
     */
    int insertGGroups(GGroups gGroups);

    /**
     * 修改组
     */
    int updateGGroups(GGroups gGroups);


    /**
     * 删除组
     */
    int deleteGGroupsById(Long id);

    /**
     * 查询组和站点(叶子节点)的树状结构组下面会有组或者站点
     */
    List<?> selectGGroupsAndSitesList(GGroups gGroups);

}
